package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*
* @author quyixiao
* @since 2025-12-19
*/

@Data
@TableName("vv_front_page")
public class VvFrontPageEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvFrontPageEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String name_ = CLASS_NAME + "name";                 // 名称
    public final static String type_ = CLASS_NAME + "type";                 // 类型
    public final static String style_ = CLASS_NAME + "style";               // 样式
    public final static String data_ = CLASS_NAME + "data";                 // 数据
    public final static String params_ = CLASS_NAME + "params";             // 参数
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //名称
    private String name;
    //类型
    private String type;
    //样式
    private String style;
    //数据
    private String data;
    //参数
    private String params;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 类型 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 类型 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 样式 
     * @return
     */
    public String getStyle() {
        return style;
    }
    /**
     * 样式 
     * @param style
     */
    public void setStyle(String style) {
        this.style = style;
    }

    /**
     * 数据 
     * @return
     */
    public String getData() {
        return data;
    }
    /**
     * 数据 
     * @param data
     */
    public void setData(String data) {
        this.data = data;
    }

    /**
     * 参数 
     * @return
     */
    public String getParams() {
        return params;
    }
    /**
     * 参数 
     * @param params
     */
    public void setParams(String params) {
        this.params = params;
    }

    @Override
    public String toString() {
        return "VvFrontPageEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",type=" + type +
                ",style=" + style +
                ",data=" + data +
                ",params=" + params +
                "}";
    }
}